# $Revision: 1.8 $, $Date: 2002/06/17 17:32:17 $
Summary:	The RIPE version of the whois client program
Summary(pl):	Program do odpytywania bazy whois (stworzony przez RIPE)
Name:		ripe-whois
Version:	2.4
Release:	2
License:	distributable
Group:		Applications/Networking
Source0:	ftp://ftp.ripe.net/tools/%{name}-tools-%{version}.tar.gz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The RIPE version of the whois client program.

This is intended for European users as it will query a RIPE whois
server with extended whois capabilities rather than a standard whois
protocol server. The whois program is fully compatible with the
standard whois protocol and can thus replace your default whois
program.

This program is aware of quite some extra flags that the standard
whois doesn't support. Just try 'whois' without arguments to see an
explanation of these. Please note that most of these flags are NOT
supported by non RIPE whois servers. In cases where you use this
client to query non RIPE whois servers, you should not use any of
these flags.

%description -l pl
Wersja RIPE programu whois.

Ta wersja jest pomylana dla europejskich uytkownikw, poniewa moe
odpytywa serwer whois RIPE z rozszerzonymi moliwociami whois
zamiast serwera standardowego protokou whois. Program jest w peni
kompatybilny ze standardowym protokoem, wic moe by uywany jako
domylny program whois.

Ten program bierze pod uwag troch dodatkowych flag, ktrych
standardowy whois nie obsuguje. Uruchom 'whois' bez argumentw aby
zobaczy ich objanienie. Wikszo z tych flag NIE jest obsugiwana
przez serwery whois inne ni RIPE. Aby odpyta inne serwery whois, nie
uywaj adnej z dodatkowych flag.

%prep
%setup -q -c %{name} -n %{name}

%build
%{__cc} %{rpmcflags} %{rpmldflags} -ansi -pedantic -DRIPE -DGLIBC whois.c -o whois
%{__cc} %{rpmcflags} %{rpmldflags} -ansi -pedantic -DRIPE -DGLIBC -DNETWORKUPDATE -lcrypt whois.c -o networkupdate
%{__cc} %{rpmcflags} %{rpmldflags} -ansi -pedantic -DRIPE -DGLIBC -lcrypt cryptpw.c -o cryptpw

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install whois $RPM_BUILD_ROOT/%{_bindir}/ripe-whois
install networkupdate $RPM_BUILD_ROOT/%{_bindir}/networkupdate
install cryptpw $RPM_BUILD_ROOT/%{_bindir}/cryptpw

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/ripe-whois
%attr(755,root,root) %{_bindir}/networkupdate
%attr(755,root,root) %{_bindir}/cryptpw

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ripe-whois.spec,v $
Revision 1.8  2002/06/17 17:32:17  kloczek
- release 2: use new %doc.

Revision 1.7  2002/02/22 23:29:41  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:14:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.4  2001/11/08 20:13:13  qboosh
- fixes in pl description

Revision 1.3  2001/11/08 16:09:23  kloczek
- adapterized.

Revision 1.2  2001/11/08 13:37:34  qboosh
- fixed Log, added pl description
